Name: sane-frontends
Version: 1.0.14
Release: 5%{?dist}
Summary: Graphical frontend to SANE
URL:       http://www.sane-project.org
Source0:    ftp://ftp.sane-project.org/pub/sane/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0: sane-frontends-1.0.14-badcode.patch
License: GPLv2+
Group: Applications/System
BuildRequires: gtk2-devel gimp-devel libjpeg-devel
BuildRequires: sane-backends-devel libieee1284-devel
Requires:  sane-backends
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: sane <= 0:1.0.9
Provides: sane = %{?epoch:%{epoch}:}%{version}-%{release}
ExcludeArch: s390 s390x

%description
This packages includes the scanadf and xcam programs.

%prep
%setup -q
%patch0 -p1 -b .badcode

%build
%configure --with-gnu-ld --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Not xscanimage; use xsane instead.
rm -f %{buildroot}%{_bindir}/xscanimage %{buildroot}%{_mandir}/man1/xscanimage*

%clean
rm -R $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_bindir}/*
%{_datadir}/sane/sane-style.rc
%{_mandir}/man1/*


%changelog
* Thu Sep  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0.14-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.14-4
- Autorebuild for GCC 4.3

* Tue Apr 24 2007 Nils Philippsen <nphilipp@redhat.com> 1.0.14-3
- merge review (#226389):
  - add version info to obsoletes/provides
  - no config files in /usr
  - use %%configure macro
- add dist tag

* Thu Mar 15 2007 Karsten Hopp <karsten@redhat.com> 1.0.14-2
- rebuild with current gtk2 to add png support (#232013)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.14-1.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.14-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.14-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 21 2005 Nils Philippsen <nphilipp@redhat.com> 1.0.14-1
- version 1.0.14
- fix build requires
- update badcode patch

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 1.0.13-2
- Rebuild for new GCC.

* Mon Nov  8 2004 Tim Waugh <twaugh@redhat.com> 1.0.13-1
- 1.0.13.

* Mon Sep 27 2004 Tim Waugh <twaugh@redhat.com> 1.0.12-4
- Fixed mistaken array op (bug #133121).

* Sat Jun 19 2004 Jeremy Katz <katzj@redhat.com> - 1.0.12-3
- remove no longer valid requires on old gtk+ and gimp

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  2 2004 Tim Waugh <twaugh@redhat.com> 1.0.12-1
- 1.0.12.

* Wed May 12 2004 Tim Waugh <twaugh@redhat.com>
- s/ftp.mostang.com/ftp.sane-project.org/.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- BuildReq: libieee1284-devel, it seems to get picked up if available

* Mon Sep 29 2003 Tim Waugh <twaugh@redhat.com>
- Updated URL.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 29 2003 Tim Waugh <twaugh@redhat.com> 1.0.11-1
- 1.0.11.

* Mon Mar 24 2003 Tim Waugh <twaugh@redhat.com> 1.0.10-2
- Don't require a specific version of sane-backends.

* Thu Mar 20 2003 Tim Waugh <twaugh@redhat.com> 1.0.10-1
- 1.0.10.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Oct 25 2002 Tim Waugh <twaugh@redhat.com> 1.0.9-1
- 1.0.9.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-3
- Don't explicitly strip binaries (bug #62565).

* Wed Jun 12 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-2
- Rebuild to fix bug #66129.

* Tue May 28 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-1
- 1.0.8.

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Tim Waugh <twaugh@redhat.com> 1.0.8-0.20020522.1
- Update to CVS.  Release expected before the end of the month.
- Don't ship xscanimage any longer.

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-2
- Rebuild in new environment.

* Mon Feb  4 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-1
- 1.0.7.

* Sun Jan 27 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-0.beta2.1
- 1.0.7-beta2.

* Wed Jan 23 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-0.beta1.1
- 1.0.7-beta1.
- No longer need the fpe patch.

* Fri Nov 30 2001 Tim Waugh <twaugh@redhat.com> 1.0.6-2
- Fix a floating point exception (bug #56536).

* Mon Nov  5 2001 Tim Waugh <twaugh@redhat.com> 1.0.6-1
- 1.0.6.

* Sun Jul  1 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-1
- 1.0.5.
- Change Copyright: to License:.

* Thu Jun  7 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010605
- CVS snapshot 2001-06-05.
- Don't install xscanimage plug-in symlinks.  The old sane package never
  used to do this, and it looks confusing in gimp if you also have
  xsane-gimp (which is better) installed.  xscanimage works stand-alone
  anyhow.

* Sun Jun  3 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010603.1000
- CVS snapshot 2001-06-03 10:00.

* Sat Jun  2 2001 Tim Waugh <twaugh@redhat.com> 1.0.5-0.20010530
- Built for Red Hat Linux.
- CVS snapshot 2001-05-30.

* Mon Jan 08 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk

- Summary now capitalised
- BuildRequires: sane (for sane-config)

